Gallery Platform API
Reference

List a gallery's artists (public)

The gallery's artists with at least one publicly-available work — the browser-safe read surface. Authenticated with a `gpub_` publishable token; CORS-open.

GET
/public/artists

The gallery's artists with at least one publicly-available work — the browser-safe read surface. Authenticated with a gpub_ publishable token; CORS-open.

Authorization

bearerAuth artists:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artists:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "artist_id": "string",      "name": "string",      "sort_name": "string",      "nationality": "string",      "birth_year": -9007199254740991,      "death_year": -9007199254740991,      "work_count": -9007199254740991    }  ]}